provisionr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ioannis Canellos (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (PROVISIONR-12) Upgrade to Karaf 2.3.1
Date Tue, 18 Jun 2013 09:06:19 GMT

    [ https://issues.apache.org/jira/browse/PROVISIONR-12?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13686516#comment-13686516
] 

Ioannis Canellos commented on PROVISIONR-12:
--------------------------------------------

Clearly we should either upgrade groovy or downgrade asm, since the current versions used
are incompatible.

I think the easiest way to go is upgrading groovy. Activity is lousely coupled to groovy (interacts
via jsr223) so I don't think that it would be a problem.
I tried upgrading to groovy 2.1.1 and I didn't notice the exception in my logs. Didn't had
the cycles to extensively test it but I think that it should just work.
                
> Upgrade to Karaf 2.3.1
> ----------------------
>
>                 Key: PROVISIONR-12
>                 URL: https://issues.apache.org/jira/browse/PROVISIONR-12
>             Project: Provisionr
>          Issue Type: Dependency upgrade
>          Components: Core, Karaf
>            Reporter: Andrei Savu
>            Assignee: Andrei Savu
>         Attachments: PROVISIONR-12.patch
>
>
> We are now using Karaf 2.2.10. Should we should skip this upgrade and go directly for
3.0.0 (as soon as it has a GA release)? 
> Unfortunately it's not trivial to make this change due to Activiti requirements. 
> Related GitHub issue: https://github.com/axemblr/axemblr-provisionr/issues/117 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message